ros-jazzy-ur-moveit-config (3.5.0-1noble) noble; urgency=high

  * Add support for UR18 (backport of #1524 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1524>) (#1526 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1526>)
  * Contributors: mergify[bot]

 -- Felix Exner <feex@universal-robots.com>  Wed, 22 Oct 2025 22:00:00 -0000

ros-jazzy-ur-moveit-config (3.4.0-1noble) noble; urgency=high

  * Add support for launching UR8Long (backport #1490 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1490>) (#1497 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1497>)
  * Contributors: mergify[bot]

 -- Felix Exner <feex@universal-robots.com>  Mon, 15 Sep 2025 22:00:00 -0000

ros-jazzy-ur-moveit-config (3.3.3-1noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 23 Jun 2025 22:00:00 -0000

ros-jazzy-ur-moveit-config (3.3.2-1noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 09 Jun 2025 22:00:00 -0000

ros-jazzy-ur-moveit-config (3.3.1-1noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Tue, 27 May 2025 22:00:00 -0000

ros-jazzy-ur-moveit-config (3.3.0-1noble) noble; urgency=high

  * Add support for UR15 (#1358 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1358>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Mon, 19 May 2025 22:00:00 -0000

ros-jazzy-ur-moveit-config (3.2.1-1noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Thu, 10 Apr 2025 22:00:00 -0000

ros-jazzy-ur-moveit-config (3.2.0-1noble) noble; urgency=high

  * Add support for UR7e and UR12e (#1320 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1320>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Wed, 09 Apr 2025 22:00:00 -0000

ros-jazzy-ur-moveit-config (3.1.1-1noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Sun, 16 Mar 2025 23:00:00 -0000

ros-jazzy-ur-moveit-config (3.1.0-1noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Tue, 04 Mar 2025 23:00:00 -0000

ros-jazzy-ur-moveit-config (3.0.2-1noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 20 Jan 2025 23:00:00 -0000

ros-jazzy-ur-moveit-config (3.0.1-1noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Sun, 29 Dec 2024 23:00:00 -0000

ros-jazzy-ur-moveit-config (3.0.0-1noble) noble; urgency=high

  * Update package maintainers (#1203 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1203>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Tue, 17 Dec 2024 23:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.13-1noble) noble; urgency=high

  * Pass use_sim_time to MoveIt's RViz instance (#1144 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1144>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Sun, 27 Oct 2024 23:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.12-1noble) noble; urgency=high



 -- Felix Exner <exner@fzi.de>  Sun, 13 Oct 2024 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.11-1noble) noble; urgency=high

  * Add note about TEM (#1136 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1136>)
  * [moveit] Add config for trajectory execution and disable execution monitoring by default (#1132 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1132>)
  * Contributors: Felix Exner (fexner), G.A. vd. Hoorn

 -- Felix Exner <exner@fzi.de>  Wed, 09 Oct 2024 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.10-1noble) noble; urgency=high



 -- Felix Exner <exner@fzi.de>  Tue, 10 Sep 2024 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.9-1noble) noble; urgency=high

  * Added Jazzy migration notes for moveit_config (#1058 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1058>)
  * Add ur_moveit.launch.py arguments to control whether the move_group node publishes robot semantic description (#1036 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1036>)
  * Contributors: Felix Exner (fexner), Vincenzo Di Pentima, Haavard Pedersen Brandal

 -- Felix Exner <exner@fzi.de>  Thu, 08 Aug 2024 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.8-1noble) noble; urgency=high

  * moveit_congig: Also install srdf folder (#1033 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1033>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Sun, 30 Jun 2024 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.7-1noble) noble; urgency=high



 -- Felix Exner <exner@fzi.de>  Tue, 18 Jun 2024 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.6-1noble) noble; urgency=high

  * Make moveit_config compatible to moveit_configs_builder (#998 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/998>)
  * Contributors: Felix Exner (fexner), Vincenzo Di Pentima, Ruddick Lawrence

 -- Felix Exner <exner@fzi.de>  Sun, 16 Jun 2024 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.5-1noble) noble; urgency=high

  * Fix multi-line strings in DeclareLaunchArgument (#948 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/948>)
  * Contributors: Matthijs van der Burgh

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 May 2024 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.4-1noble) noble; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 03 Apr 2024 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.3-1noble) noble; urgency=high

  * fix move_group_node crash during initialization (#906 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/906>)
  * Add UR30 support (#899 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/899>)
  * Contributors: Chen Chen, Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Feb 2024 23:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.2-1noble) noble; urgency=high

  * moveit_servo package executable name has changed (#854 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/854>)
  * Contributors: Felix Durchdewald

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 22 Nov 2023 23:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.1-1noble) noble; urgency=high

  * Added support for UR20 (#797 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/797>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 20 Sep 2023 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.4.0-1noble) noble; urgency=high

  * Use mock_hardware and mock_sensor_commands instead of fake (#739 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/739>)
    * Use mock_hardware and mock_sensor_commands instead of fake
    This has been deprecated a while back and was never adapted.
    * Update documentation to mock_hardware
  * Contributors: Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 27 Aug 2023 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.3.2-1noble) noble; urgency=high

  * Fixed formatting (#685 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/685>)
    * Removed empty lines from python files
    * Fixed typo in changelogs
  * Define default maximum accelerations for MoveIt (#645 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/645>)
  * Contributors: Felix Exner (fexner), RobertWilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Jun 2023 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.3.1-1noble) noble; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 Mar 2023 23:00:00 -0000

ros-jazzy-ur-moveit-config (2.3.0-1noble) noble; urgency=high

  * Fix capitalization of docstring
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 01 Mar 2023 23:00:00 -0000

ros-jazzy-ur-moveit-config (2.2.4-1noble) noble; urgency=high

  * Fix selecting the right controller given fake_hw
    This was falsely introduced earlier. This is a working version.
  * add ur_moveit.launch.py parameter to use working controller when using fake hardware (#464 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/464>)
    add script parameter to use correct controller when using fake hardware
  * Contributors: Felix Exner, adverley

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 06 Oct 2022 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.2.3-1noble) noble; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 26 Jul 2022 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.2.2-1noble) noble; urgency=high

  * Made sure all past maintainers are listed as authors (#429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/429>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 18 Jul 2022 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.2.1-1noble) noble; urgency=high

  * Remove non-required dependency from CMakeLists (#414 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/414>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 26 Jun 2022 22:00:00 -0000

ros-jazzy-ur-moveit-config (2.2.0-1noble) noble; urgency=high

  * Updated package maintainers
  * Prepare for humble (#394 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/394>)
  * Update dependencies on all packages (#391 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/391>)
  * Replace warehouse_ros_mongo with warehouse_ros_sqlite (#362 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/362>)
  * Add missing dep to warehouse_ros_mongo (#352 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/352>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Correct loading kinematics parameters from yaml (#308 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/308>)
  * Update MoveIt file for working with simulation. (#278 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/278>)
  * Changing default controller in MoveIt config. (#288 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/288>)
  * Move Servo launching into the main MoveIt launch file. Make it optional. (#239 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/239>)
  * Joint limits parameters for Moveit planning (#187 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/187>)
  * Update Servo parameters, for smooth motion (#188 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/188>)
  * Enabling velocity mode (#146 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/146>)
  * Remove obsolete and unused files and packages. (#80 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/80>)
  * Review CI by correcting the configurations (#71 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/71>)
  * Add support for gpios, update MoveIt and ros2_control launching (#66 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/66>)
  * Contributors: AndyZe, Denis Štogl, Felix Exner, livanov93, Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 19 Jun 2022 22:00:00 -0000


